<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/BaseBuilding/Scripts/4_world/dayzexpansion_basebuilding/classes/useractionscomponent/actions/continuous/expansionactiondestroylock.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('de/db1/a00197_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionactiondestroylock.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../de/db1/a00197.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionActionDestroyLock.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. </span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d6/dd5/a03541.html">   13</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d6/dd5/a03541.html">ExpansionActionDestroyLock</a> : <a class="code hl_class" href="../../df/df7/a03561.html">ExpansionActionDestroyBase</a></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d6/dd5/a03541.html#a8532c9dd576955a6ba4256df086d6b1f">   15</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d6/dd5/a03541.html#a8532c9dd576955a6ba4256df086d6b1f">Setup</a>( <a class="code hl_class" href="../../db/d1a/a03849.html">PlayerBase</a> player, <a class="code hl_class" href="../../da/d6d/a04713.html">ActionTarget</a> target, <a class="code hl_class" href="../../d1/df9/a03665.html">ItemBase</a> item )</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    {</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        Object targetObject = target.<a class="code hl_function" href="../../da/d6d/a04713.html#a1c5162ed30e842ad5b561579a40e7507">GetParentOrObject</a>();</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span> </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        <span class="keywordtype">bool</span> useContainerRaidSettings;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        <span class="keywordflow">if</span> ( targetObject.IsInherited( <a class="code hl_class" href="../../da/dfc/a03825.html">TentBase</a> ) )</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        {</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>            <a class="code hl_variable" href="../../dd/dd8/a00719.html#a2d2e872d4a5c7f9c28009b5890ecca76">m_Time</a> =  <a class="code hl_function" href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().<a class="code hl_function" href="../../dd/d8e/a03377.html#af1efd09a45029d622fbbdb9eee9c0c9a">GetRaid</a>().<a class="code hl_variable" href="../../d3/d0c/a03381.html#ab4453271829b10f84116456650b077a3">LockOnTentRaidToolTimeSeconds</a>;</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        }</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( targetObject.IsInherited( <a class="code hl_class" href="../../d9/da3/a03673.html">ExpansionBaseBuilding</a> ) )</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        {</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>            <a class="code hl_variable" href="../../dd/dd8/a00719.html#a2d2e872d4a5c7f9c28009b5890ecca76">m_Time</a> = <a class="code hl_function" href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().<a class="code hl_function" href="../../dd/d8e/a03377.html#af1efd09a45029d622fbbdb9eee9c0c9a">GetRaid</a>().<a class="code hl_variable" href="../../d3/d0c/a03381.html#a437fa9213c195f4e7bb59f92dac1c0a9">LockOnWallRaidToolTimeSeconds</a>;</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        }</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( targetObject.IsInherited( <a class="code hl_class" href="../../d3/d04/a03793.html">BaseBuildingBase</a> ) )</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        {</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>            <a class="code hl_variable" href="../../dd/dd8/a00719.html#a2d2e872d4a5c7f9c28009b5890ecca76">m_Time</a> =  <a class="code hl_function" href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().<a class="code hl_function" href="../../dd/d8e/a03377.html#af1efd09a45029d622fbbdb9eee9c0c9a">GetRaid</a>().<a class="code hl_variable" href="../../d3/d0c/a03381.html#a8fe202f83e66496b014540c7b9c3b749">LockOnFenceRaidToolTimeSeconds</a>;</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        }</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        {</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>            <a class="code hl_variable" href="../../dd/dd8/a00719.html#a2d2e872d4a5c7f9c28009b5890ecca76">m_Time</a> = <a class="code hl_function" href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().<a class="code hl_function" href="../../dd/d8e/a03377.html#af1efd09a45029d622fbbdb9eee9c0c9a">GetRaid</a>().<a class="code hl_variable" href="../../d9/d35/a03385.html#a9d126329018c90cf60beb71a7f6cbbdd">LockOnContainerRaidToolTimeSeconds</a>;</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>            useContainerRaidSettings = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        }</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span> </div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        <a class="code hl_variable" href="../../d1/dae/a01136.html#a5d58fa44f06a47200f78a92dedcb5efd">m_MinHealth01</a> = 0.01;  <span class="comment">//! 1% health</span></div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span> </div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        <span class="keywordflow">if</span> ( !useContainerRaidSettings )</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        {</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>            <a class="code hl_variable" href="../../d1/dae/a01136.html#add986a8b0d3f724b01921fec4db98151">m_Cycles</a> = <a class="code hl_function" href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().<a class="code hl_function" href="../../dd/d8e/a03377.html#af1efd09a45029d622fbbdb9eee9c0c9a">GetRaid</a>().<a class="code hl_variable" href="../../d3/d0c/a03381.html#a7fa940e4c906340b6b48d1a51c43ff04">LockRaidToolCycles</a>;</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>            <a class="code hl_variable" href="../../d1/dae/a01136.html#a51b79bdc2b37130cb81f4e4dece7bcc8">m_ToolDamagePercent</a> = <a class="code hl_function" href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().<a class="code hl_function" href="../../dd/d8e/a03377.html#af1efd09a45029d622fbbdb9eee9c0c9a">GetRaid</a>().<a class="code hl_variable" href="../../d3/d0c/a03381.html#ad6ac2dfb049f14b44e53dd40a984a6f3">LockRaidToolDamagePercent</a>;</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        }</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        {</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>            <a class="code hl_variable" href="../../d1/dae/a01136.html#add986a8b0d3f724b01921fec4db98151">m_Cycles</a> = <a class="code hl_function" href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().<a class="code hl_function" href="../../dd/d8e/a03377.html#af1efd09a45029d622fbbdb9eee9c0c9a">GetRaid</a>().<a class="code hl_variable" href="../../d9/d35/a03385.html#a58edbbb2487945dee3cbd6ccff6aa51c">LockOnContainerRaidToolCycles</a>;</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>            <a class="code hl_variable" href="../../d1/dae/a01136.html#a51b79bdc2b37130cb81f4e4dece7bcc8">m_ToolDamagePercent</a> = <a class="code hl_function" href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().<a class="code hl_function" href="../../dd/d8e/a03377.html#af1efd09a45029d622fbbdb9eee9c0c9a">GetRaid</a>().<a class="code hl_variable" href="../../d9/d35/a03385.html#aae723d976b7d519e491e1a61d0651216">LockOnContainerRaidToolDamagePercent</a>;</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        }</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    }</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span> </div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno"><a class="line" href="../../d6/dd5/a03541.html#a5e2443fef85b2088a22c933eb424d75b">   53</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d6/dd5/a03541.html#a5e2443fef85b2088a22c933eb424d75b">DestroyCondition</a>( <a class="code hl_class" href="../../db/d1a/a03849.html">PlayerBase</a> player, <a class="code hl_class" href="../../da/d6d/a04713.html">ActionTarget</a> target, <a class="code hl_class" href="../../d1/df9/a03665.html">ItemBase</a> item, <span class="keywordtype">bool</span> camera_check )</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    {</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        <span class="keywordflow">if</span> ( !super.DestroyCondition( player, target, item, camera_check ) )</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span> </div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        Object targetObject = target.<a class="code hl_function" href="../../da/d6d/a04713.html#a1c5162ed30e842ad5b561579a40e7507">GetParentOrObject</a>();</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span> </div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        <a class="code hl_class" href="../../d1/df9/a03665.html">ItemBase</a> targetItem = <a class="code hl_class" href="../../d1/df9/a03665.html">ItemBase</a>.Cast( targetObject );</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span> </div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        <span class="keywordflow">if</span> ( !targetItem )</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span> </div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>        Object actualTargetObject = <a class="code hl_function" href="../../d6/dd5/a03541.html#a9c41b3b7b24d4a0ae481f42cc501d846">GetActualTargetObject</a>( targetObject );</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span> </div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>        <span class="keywordflow">if</span> ( !actualTargetObject )</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span> </div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        <span class="keywordflow">if</span> ( !actualTargetObject.IsInherited( <a class="code hl_class" href="../../dc/d0c/a03801.html">CombinationLock</a> ) &amp;&amp; !actualTargetObject.IsInherited( <a class="code hl_class" href="../../d8/d84/a00001.html#df/d1c/a08025">ExpansionCodeLock</a> ) )</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span> </div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>        <span class="keywordflow">if</span> ( !targetItem.<a class="code hl_function" href="../../d1/df9/a03665.html#a1b94569f63e51cbb3f67ba452b98066d">ExpansionIsLocked</a>() )</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span> </div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        <span class="keywordtype">bool</span> useContainerRaidSettings;</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span> </div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>        <span class="keywordflow">if</span> ( targetObject.IsInherited( <a class="code hl_class" href="../../da/dfc/a03825.html">TentBase</a> ) )</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>        {</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>            <a class="code hl_variable" href="../../dd/dd8/a00719.html#a2d2e872d4a5c7f9c28009b5890ecca76">m_Time</a> =  <a class="code hl_function" href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().<a class="code hl_function" href="../../dd/d8e/a03377.html#af1efd09a45029d622fbbdb9eee9c0c9a">GetRaid</a>().<a class="code hl_variable" href="../../d3/d0c/a03381.html#ab4453271829b10f84116456650b077a3">LockOnTentRaidToolTimeSeconds</a>;</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        }</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( targetObject.IsInherited( <a class="code hl_class" href="../../d9/da3/a03673.html">ExpansionBaseBuilding</a> ) )</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>        {</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>            <a class="code hl_variable" href="../../dd/dd8/a00719.html#a2d2e872d4a5c7f9c28009b5890ecca76">m_Time</a> = <a class="code hl_function" href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().<a class="code hl_function" href="../../dd/d8e/a03377.html#af1efd09a45029d622fbbdb9eee9c0c9a">GetRaid</a>().<a class="code hl_variable" href="../../d3/d0c/a03381.html#a437fa9213c195f4e7bb59f92dac1c0a9">LockOnWallRaidToolTimeSeconds</a>;</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>        }</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( targetObject.IsInherited( <a class="code hl_class" href="../../d3/d04/a03793.html">BaseBuildingBase</a> ) )</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>        {</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>            <a class="code hl_variable" href="../../dd/dd8/a00719.html#a2d2e872d4a5c7f9c28009b5890ecca76">m_Time</a> =  <a class="code hl_function" href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().<a class="code hl_function" href="../../dd/d8e/a03377.html#af1efd09a45029d622fbbdb9eee9c0c9a">GetRaid</a>().<a class="code hl_variable" href="../../d3/d0c/a03381.html#a8fe202f83e66496b014540c7b9c3b749">LockOnFenceRaidToolTimeSeconds</a>;</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>        }</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>        {</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>            <a class="code hl_variable" href="../../dd/dd8/a00719.html#a2d2e872d4a5c7f9c28009b5890ecca76">m_Time</a> = <a class="code hl_function" href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().<a class="code hl_function" href="../../dd/d8e/a03377.html#af1efd09a45029d622fbbdb9eee9c0c9a">GetRaid</a>().<a class="code hl_variable" href="../../d9/d35/a03385.html#a9d126329018c90cf60beb71a7f6cbbdd">LockOnContainerRaidToolTimeSeconds</a>;</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>            useContainerRaidSettings = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        }</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span> </div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>        TStringArray raidTools;</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>        <span class="keywordflow">if</span> ( !useContainerRaidSettings )</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>            raidTools = <a class="code hl_function" href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().<a class="code hl_function" href="../../dd/d8e/a03377.html#af1efd09a45029d622fbbdb9eee9c0c9a">GetRaid</a>().<a class="code hl_variable" href="../../d3/d0c/a03381.html#a20f7d61f868e762acfbab1569d4294fc">LockRaidTools</a>;</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>            raidTools = <a class="code hl_function" href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().<a class="code hl_function" href="../../dd/d8e/a03377.html#af1efd09a45029d622fbbdb9eee9c0c9a">GetRaid</a>().<a class="code hl_variable" href="../../d9/d35/a03385.html#a948129251b1bdfea1d5928a479067315">LockOnContainerRaidTools</a>;</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span> </div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>        <span class="keywordflow">if</span> ( raidTools.Find( item.GetType() ) == -1 )</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span> </div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>        <span class="keywordflow">if</span> ( targetItem.IsInherited( <a class="code hl_class" href="../../da/dfc/a03825.html">TentBase</a> ) &amp;&amp; IsMissionClient() )</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>        {</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>            targetObject = target.GetObject();  <span class="comment">//! Only on client, NULL on server as we cannot use proxies here</span></div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span> </div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>            <span class="keywordflow">if</span> ( !targetObject )</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>                <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span><span class="comment"></span> </div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span><span class="comment">            //! Only allow interaction with entrances</span></div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span><span class="comment"></span>            array&lt; string &gt; selections = <span class="keyword">new</span> array&lt; string &gt;;</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>            targetObject.GetActionComponentNameList( target.GetComponentIndex(), selections );</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>            <a class="code hl_class" href="../../da/dfc/a03825.html">TentBase</a> tent = <a class="code hl_class" href="../../da/dfc/a03825.html">TentBase</a>.Cast( targetItem );</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span> </div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>            <span class="keywordtype">bool</span> canToggle;</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>            <span class="keywordflow">for</span> ( <span class="keywordtype">int</span> s = 0; s &lt; selections.Count(); s++ )</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>            {</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>                <span class="keywordflow">if</span> ( !selections[s].Contains( <span class="stringliteral">&quot;entrance&quot;</span> ) &amp;&amp; !selections[s].Contains( <span class="stringliteral">&quot;door&quot;</span> ) )</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>                    <span class="keywordflow">continue</span>;</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span> </div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>                <span class="keywordflow">if</span> ( tent.CanToggleAnimations( selections[s] ) )</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>                {</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>                    canToggle = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>                    <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>                }</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>            }</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span> </div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>            <span class="keywordflow">if</span> ( !canToggle )</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>                <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>        } <span class="keywordflow">else</span></div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>        {</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>            <span class="keywordtype">string</span> selection = targetItem.GetActionComponentName( target.GetComponentIndex() );</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>            <span class="keywordflow">if</span> ( !selection.Contains( <span class="stringliteral">&quot;lock&quot;</span> ) &amp;&amp; !targetItem.<a class="code hl_function" href="../../d1/df9/a03665.html#acc53eea86dce7235807e418d2fe6b1ab">ExpansionIsOpenable</a>( selection ) )</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>                <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>        }</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span> </div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>        <a class="code hl_variable" href="../../d1/dae/a01136.html#a4749cf45b5ac2fa0714864c058c69ef7">m_TargetName</a> = actualTargetObject.GetDisplayName();</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span> </div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>    }</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span> </div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno"><a class="line" href="../../d6/dd5/a03541.html#ae0eb31b155a802c076c3a06ddb963916">  144</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d6/dd5/a03541.html#ae0eb31b155a802c076c3a06ddb963916">CanBeDestroyed</a>( Object targetObject )</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>    {</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>        <span class="keywordflow">if</span> ( targetObject.IsInherited( <a class="code hl_class" href="../../da/dfc/a03825.html">TentBase</a> ) )</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>            <span class="keywordflow">return</span> <a class="code hl_function" href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().<a class="code hl_function" href="../../dd/d8e/a03377.html#af1efd09a45029d622fbbdb9eee9c0c9a">GetRaid</a>().<a class="code hl_variable" href="../../d3/d0c/a03381.html#a80b2168365b954993385e544bd2c4ef7">CanRaidLocksOnTents</a>;</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span> </div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>        <span class="keywordflow">if</span> ( targetObject.IsInherited( <a class="code hl_class" href="../../d2/d11/a03797.html">Fence</a> ) )</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>            <span class="keywordflow">return</span> <a class="code hl_function" href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().<a class="code hl_function" href="../../dd/d8e/a03377.html#af1efd09a45029d622fbbdb9eee9c0c9a">GetRaid</a>().<a class="code hl_variable" href="../../d3/d0c/a03381.html#ace10abfea2102ec468d8956cb10c6467">CanRaidLocksOnFences</a>;</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span> </div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>        <span class="keywordflow">if</span> ( targetObject.IsInherited( <a class="code hl_class" href="../../dc/df3/a03773.html">Container_Base</a> ) )</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>            <span class="keywordflow">return</span> <a class="code hl_function" href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().<a class="code hl_function" href="../../dd/d8e/a03377.html#af1efd09a45029d622fbbdb9eee9c0c9a">GetRaid</a>().<a class="code hl_variable" href="../../d9/d35/a03385.html#a04c199ab7a72c6d94e331490cd840b9b">CanRaidLocksOnContainers</a>;</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span> </div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>        <a class="code hl_class" href="../../d4/d93/a03781.html">ExpansionWallBase</a> wall;</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>        <span class="keywordflow">if</span> (Class.CastTo(wall, targetObject) &amp;&amp; (wall.<a class="code hl_function" href="../../d4/d93/a03781.html#a3c728c5a39b6305a9237e7752b93b66b">HasDoor</a>() || wall.<a class="code hl_function" href="../../d4/d93/a03781.html#afc853e2690c839d8e181be730da54b32">HasGate</a>()))</div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>        {</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>            <span class="keywordflow">if</span> ( wall.<a class="code hl_function" href="../../d4/d93/a03781.html#a3c728c5a39b6305a9237e7752b93b66b">HasDoor</a>() &amp;&amp; <a class="code hl_function" href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().GetRaid().CanRaidLocksOnWalls == <a class="code hl_enumeration" href="../../d4/d8c/a00035.html#af924a45769b966ddde1a49cac35e0ffd">RaidLocksOnWallsEnum</a>.OnlyDoor )</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>                <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>            <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( wall.<a class="code hl_function" href="../../d4/d93/a03781.html#afc853e2690c839d8e181be730da54b32">HasGate</a>() &amp;&amp; <a class="code hl_function" href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().GetRaid().CanRaidLocksOnWalls == <a class="code hl_enumeration" href="../../d4/d8c/a00035.html#af924a45769b966ddde1a49cac35e0ffd">RaidLocksOnWallsEnum</a>.OnlyGate )</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>                <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>            <span class="keywordflow">return</span> <a class="code hl_function" href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().<a class="code hl_function" href="../../dd/d8e/a03377.html#af1efd09a45029d622fbbdb9eee9c0c9a">GetRaid</a>().<a class="code hl_variable" href="../../d3/d0c/a03381.html#a47a4bdba49e9729080ed30ad39ff2efe">CanRaidLocksOnWalls</a> == <a class="code hl_enumeration" href="../../d4/d8c/a00035.html#af924a45769b966ddde1a49cac35e0ffd">RaidLocksOnWallsEnum</a>.Enabled;</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>        }</div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span> </div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>        <span class="keywordflow">return</span> super.CanBeDestroyed( targetObject );</div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>    }</div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span> </div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno"><a class="line" href="../../d6/dd5/a03541.html#a9c41b3b7b24d4a0ae481f42cc501d846">  168</a></span>    <span class="keyword">override</span> Object <a class="code hl_function" href="../../d6/dd5/a03541.html#a9c41b3b7b24d4a0ae481f42cc501d846">GetActualTargetObject</a>( Object targetObject )</div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>    {</div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>        <a class="code hl_class" href="../../d1/df9/a03665.html">ItemBase</a> targetItem = <a class="code hl_class" href="../../d1/df9/a03665.html">ItemBase</a>.Cast( targetObject );</div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span> </div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span>        <span class="keywordflow">if</span> ( !targetItem || !targetItem.GetInventory() )</div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>            <span class="keywordflow">return</span> NULL;</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span> </div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>        Object lockObj = targetItem.FindAttachmentBySlotName( <span class="stringliteral">&quot;Att_CombinationLock&quot;</span> );</div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>        <span class="keywordflow">if</span> ( !lockObj )</div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>            lockObj = targetItem.<a class="code hl_function" href="../../d1/df9/a03665.html#a52676972f5793354072ffb09ca20da09">ExpansionGetCodeLock</a>();</div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span> </div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span>        <span class="keywordflow">return</span> lockObj;</div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span>    }</div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span>}</div>
<div class="ttc" id="aa00001_html_df/d1c/a08025"><div class="ttname"><a href="../../d8/d84/a00001.html#df/d1c/a08025">ExpansionCodeLock</a></div></div>
<div class="ttc" id="aa00035_html_af924a45769b966ddde1a49cac35e0ffd"><div class="ttname"><a href="../../d4/d8c/a00035.html#af924a45769b966ddde1a49cac35e0ffd">RaidLocksOnWallsEnum</a></div><div class="ttdeci">RaidLocksOnWallsEnum</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d8c/a00035_source.html#l00013">raidlocksonwallsenum.c:14</a></div></div>
<div class="ttc" id="aa00719_html_a2d2e872d4a5c7f9c28009b5890ecca76"><div class="ttname"><a href="../../dd/dd8/a00719.html#a2d2e872d4a5c7f9c28009b5890ecca76">m_Time</a></div><div class="ttdeci">protected float m_Time</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dd8/a00719_source.html#l00137">expansionnotificationsystem.c:137</a></div></div>
<div class="ttc" id="aa01136_html_a4749cf45b5ac2fa0714864c058c69ef7"><div class="ttname"><a href="../../d1/dae/a01136.html#a4749cf45b5ac2fa0714864c058c69ef7">m_TargetName</a></div><div class="ttdeci">ExpansionActionToolBaseCB m_TargetName</div></div>
<div class="ttc" id="aa01136_html_a51b79bdc2b37130cb81f4e4dece7bcc8"><div class="ttname"><a href="../../d1/dae/a01136.html#a51b79bdc2b37130cb81f4e4dece7bcc8">m_ToolDamagePercent</a></div><div class="ttdeci">float m_ToolDamagePercent</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/dae/a01136_source.html#l00048">expansionactiontoolbase.c:48</a></div></div>
<div class="ttc" id="aa01136_html_a5d58fa44f06a47200f78a92dedcb5efd"><div class="ttname"><a href="../../d1/dae/a01136.html#a5d58fa44f06a47200f78a92dedcb5efd">m_MinHealth01</a></div><div class="ttdeci">float m_MinHealth01</div><div class="ttdoc">If tool damage is 100% and the tool does not consume energy, it WILL be ruined no matter what when th...</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/dae/a01136_source.html#l00049">expansionactiontoolbase.c:49</a></div></div>
<div class="ttc" id="aa01136_html_add986a8b0d3f724b01921fec4db98151"><div class="ttname"><a href="../../d1/dae/a01136.html#add986a8b0d3f724b01921fec4db98151">m_Cycles</a></div><div class="ttdeci">int m_Cycles</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/dae/a01136_source.html#l00045">expansionactiontoolbase.c:45</a></div></div>
<div class="ttc" id="aa03377_html_af1efd09a45029d622fbbdb9eee9c0c9a"><div class="ttname"><a href="../../dd/d8e/a03377.html#af1efd09a45029d622fbbdb9eee9c0c9a">ExpansionSettings::GetRaid</a></div><div class="ttdeci">ExpansionRaidSettings GetRaid(bool checkLoaded=true)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d5d/a08415_source.html#l00069">expansionsettings.c:69</a></div></div>
<div class="ttc" id="aa03381_html_a20f7d61f868e762acfbab1569d4294fc"><div class="ttname"><a href="../../d3/d0c/a03381.html#a20f7d61f868e762acfbab1569d4294fc">ExpansionRaidSettingsBase::LockRaidTools</a></div><div class="ttdeci">autoptr TStringArray LockRaidTools</div><div class="ttdoc">If enabled, make locks (both vanilla and Expansion) raidable on tents.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d41/a00038_source.html#l00038">expansionraidsettings.c:38</a></div></div>
<div class="ttc" id="aa03381_html_a437fa9213c195f4e7bb59f92dac1c0a9"><div class="ttname"><a href="../../d3/d0c/a03381.html#a437fa9213c195f4e7bb59f92dac1c0a9">ExpansionRaidSettingsBase::LockOnWallRaidToolTimeSeconds</a></div><div class="ttdeci">int LockOnWallRaidToolTimeSeconds</div><div class="ttdoc">List of tools allowed for raiding locks.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d41/a00038_source.html#l00039">expansionraidsettings.c:39</a></div></div>
<div class="ttc" id="aa03381_html_a47a4bdba49e9729080ed30ad39ff2efe"><div class="ttname"><a href="../../d3/d0c/a03381.html#a47a4bdba49e9729080ed30ad39ff2efe">ExpansionRaidSettingsBase::CanRaidLocksOnWalls</a></div><div class="ttdeci">RaidLocksOnWallsEnum CanRaidLocksOnWalls</div><div class="ttdoc">Total damage dealt to tool over time (100 = tool will be in ruined state after all cycles finished)</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d41/a00038_source.html#l00035">expansionraidsettings.c:35</a></div></div>
<div class="ttc" id="aa03381_html_a7fa940e4c906340b6b48d1a51c43ff04"><div class="ttname"><a href="../../d3/d0c/a03381.html#a7fa940e4c906340b6b48d1a51c43ff04">ExpansionRaidSettingsBase::LockRaidToolCycles</a></div><div class="ttdeci">int LockRaidToolCycles</div><div class="ttdoc">Time needed to raid lock on tent with tool. Disabled &lt;= 0.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d41/a00038_source.html#l00042">expansionraidsettings.c:42</a></div></div>
<div class="ttc" id="aa03381_html_a80b2168365b954993385e544bd2c4ef7"><div class="ttname"><a href="../../d3/d0c/a03381.html#a80b2168365b954993385e544bd2c4ef7">ExpansionRaidSettingsBase::CanRaidLocksOnTents</a></div><div class="ttdeci">bool CanRaidLocksOnTents</div><div class="ttdoc">If enabled, make locks (both vanilla and Expansion) raidable on fences.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d41/a00038_source.html#l00037">expansionraidsettings.c:37</a></div></div>
<div class="ttc" id="aa03381_html_a8fe202f83e66496b014540c7b9c3b749"><div class="ttname"><a href="../../d3/d0c/a03381.html#a8fe202f83e66496b014540c7b9c3b749">ExpansionRaidSettingsBase::LockOnFenceRaidToolTimeSeconds</a></div><div class="ttdeci">int LockOnFenceRaidToolTimeSeconds</div><div class="ttdoc">Time needed to raid lock on wall with tool. Disabled &lt;= 0.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d41/a00038_source.html#l00040">expansionraidsettings.c:40</a></div></div>
<div class="ttc" id="aa03381_html_ab4453271829b10f84116456650b077a3"><div class="ttname"><a href="../../d3/d0c/a03381.html#ab4453271829b10f84116456650b077a3">ExpansionRaidSettingsBase::LockOnTentRaidToolTimeSeconds</a></div><div class="ttdeci">int LockOnTentRaidToolTimeSeconds</div><div class="ttdoc">Time needed to raid lock on fence with tool. Disabled &lt;= 0.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d41/a00038_source.html#l00041">expansionraidsettings.c:41</a></div></div>
<div class="ttc" id="aa03381_html_ace10abfea2102ec468d8956cb10c6467"><div class="ttname"><a href="../../d3/d0c/a03381.html#ace10abfea2102ec468d8956cb10c6467">ExpansionRaidSettingsBase::CanRaidLocksOnFences</a></div><div class="ttdeci">bool CanRaidLocksOnFences</div><div class="ttdoc">If set to 1 make locks (both vanilla and Expansion) raidable on walls | 2 = only doors | 3 = only gat...</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d41/a00038_source.html#l00036">expansionraidsettings.c:36</a></div></div>
<div class="ttc" id="aa03381_html_ad6ac2dfb049f14b44e53dd40a984a6f3"><div class="ttname"><a href="../../d3/d0c/a03381.html#ad6ac2dfb049f14b44e53dd40a984a6f3">ExpansionRaidSettingsBase::LockRaidToolDamagePercent</a></div><div class="ttdeci">float LockRaidToolDamagePercent</div><div class="ttdoc">Number of cycles needed to raid lock.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d41/a00038_source.html#l00043">expansionraidsettings.c:43</a></div></div>
<div class="ttc" id="aa03385_html_a04c199ab7a72c6d94e331490cd840b9b"><div class="ttname"><a href="../../d9/d35/a03385.html#a04c199ab7a72c6d94e331490cd840b9b">ExpansionRaidSettings::CanRaidLocksOnContainers</a></div><div class="ttdeci">bool CanRaidLocksOnContainers</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d41/a00038_source.html#l00067">expansionraidsettings.c:67</a></div></div>
<div class="ttc" id="aa03385_html_a58edbbb2487945dee3cbd6ccff6aa51c"><div class="ttname"><a href="../../d9/d35/a03385.html#a58edbbb2487945dee3cbd6ccff6aa51c">ExpansionRaidSettings::LockOnContainerRaidToolCycles</a></div><div class="ttdeci">int LockOnContainerRaidToolCycles</div><div class="ttdoc">Time needed to raid lock on container with tool.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d41/a00038_source.html#l00070">expansionraidsettings.c:70</a></div></div>
<div class="ttc" id="aa03385_html_a948129251b1bdfea1d5928a479067315"><div class="ttname"><a href="../../d9/d35/a03385.html#a948129251b1bdfea1d5928a479067315">ExpansionRaidSettings::LockOnContainerRaidTools</a></div><div class="ttdeci">autoptr TStringArray LockOnContainerRaidTools</div><div class="ttdoc">If enabled, makes code locked containers raidable.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d41/a00038_source.html#l00068">expansionraidsettings.c:68</a></div></div>
<div class="ttc" id="aa03385_html_a9d126329018c90cf60beb71a7f6cbbdd"><div class="ttname"><a href="../../d9/d35/a03385.html#a9d126329018c90cf60beb71a7f6cbbdd">ExpansionRaidSettings::LockOnContainerRaidToolTimeSeconds</a></div><div class="ttdeci">int LockOnContainerRaidToolTimeSeconds</div><div class="ttdoc">List of tools allowed for raiding locks on containers.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d41/a00038_source.html#l00069">expansionraidsettings.c:69</a></div></div>
<div class="ttc" id="aa03385_html_aae723d976b7d519e491e1a61d0651216"><div class="ttname"><a href="../../d9/d35/a03385.html#aae723d976b7d519e491e1a61d0651216">ExpansionRaidSettings::LockOnContainerRaidToolDamagePercent</a></div><div class="ttdeci">float LockOnContainerRaidToolDamagePercent</div><div class="ttdoc">Number of cycles needed to raid lock on container.</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d41/a00038_source.html#l00071">expansionraidsettings.c:71</a></div></div>
<div class="ttc" id="aa03541_html"><div class="ttname"><a href="../../d6/dd5/a03541.html">ExpansionActionDestroyLock</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/db1/a00197_source.html#l00013">expansionactiondestroylock.c:14</a></div></div>
<div class="ttc" id="aa03541_html_a5e2443fef85b2088a22c933eb424d75b"><div class="ttname"><a href="../../d6/dd5/a03541.html#a5e2443fef85b2088a22c933eb424d75b">ExpansionActionDestroyLock::DestroyCondition</a></div><div class="ttdeci">override bool DestroyCondition(PlayerBase player, ActionTarget target, ItemBase item, bool camera_check)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/db1/a00197_source.html#l00053">expansionactiondestroylock.c:53</a></div></div>
<div class="ttc" id="aa03541_html_a8532c9dd576955a6ba4256df086d6b1f"><div class="ttname"><a href="../../d6/dd5/a03541.html#a8532c9dd576955a6ba4256df086d6b1f">ExpansionActionDestroyLock::Setup</a></div><div class="ttdeci">override void Setup(PlayerBase player, ActionTarget target, ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/db1/a00197_source.html#l00015">expansionactiondestroylock.c:15</a></div></div>
<div class="ttc" id="aa03541_html_a9c41b3b7b24d4a0ae481f42cc501d846"><div class="ttname"><a href="../../d6/dd5/a03541.html#a9c41b3b7b24d4a0ae481f42cc501d846">ExpansionActionDestroyLock::GetActualTargetObject</a></div><div class="ttdeci">override Object GetActualTargetObject(Object targetObject)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/db1/a00197_source.html#l00168">expansionactiondestroylock.c:168</a></div></div>
<div class="ttc" id="aa03541_html_ae0eb31b155a802c076c3a06ddb963916"><div class="ttname"><a href="../../d6/dd5/a03541.html#ae0eb31b155a802c076c3a06ddb963916">ExpansionActionDestroyLock::CanBeDestroyed</a></div><div class="ttdeci">override bool CanBeDestroyed(Object targetObject)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/db1/a00197_source.html#l00144">expansionactiondestroylock.c:144</a></div></div>
<div class="ttc" id="aa03561_html"><div class="ttname"><a href="../../df/df7/a03561.html">ExpansionActionDestroyBase</a></div><div class="ttdoc">Provides base classes for other &quot;destroy&quot;-type actions (e.g. for raiding). The item to be destroyed i...</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/df1/a00206_source.html#l00030">expansionactiondestroybase.c:31</a></div></div>
<div class="ttc" id="aa03665_html"><div class="ttname"><a href="../../d1/df9/a03665.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/dc3/a00284_source.html#l00001">expansionbaselights.c:2</a></div></div>
<div class="ttc" id="aa03665_html_a1b94569f63e51cbb3f67ba452b98066d"><div class="ttname"><a href="../../d1/df9/a03665.html#a1b94569f63e51cbb3f67ba452b98066d">ItemBase::ExpansionIsLocked</a></div><div class="ttdeci">override bool ExpansionIsLocked()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d3b/a08577_source.html#l00499">itembase.c:499</a></div></div>
<div class="ttc" id="aa03665_html_a52676972f5793354072ffb09ca20da09"><div class="ttname"><a href="../../d1/df9/a03665.html#a52676972f5793354072ffb09ca20da09">ItemBase::ExpansionGetCodeLock</a></div><div class="ttdeci">ExpansionCodeLock ExpansionGetCodeLock()</div><div class="ttdoc">Returning codelock entity.</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d3b/a08577_source.html#l00566">itembase.c:566</a></div></div>
<div class="ttc" id="aa03665_html_acc53eea86dce7235807e418d2fe6b1ab"><div class="ttname"><a href="../../d1/df9/a03665.html#acc53eea86dce7235807e418d2fe6b1ab">ItemBase::ExpansionIsOpenable</a></div><div class="ttdeci">bool ExpansionIsOpenable()</div><div class="ttdoc">Returning if openable in principle (regardless if player can actually open in current state)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d3b/a08577_source.html#l00279">itembase.c:279</a></div></div>
<div class="ttc" id="aa03673_html"><div class="ttname"><a href="../../d9/da3/a03673.html">ExpansionBaseBuilding</a></div><div class="ttdoc">This class handle base class of expansion basebuilding</div><div class="ttdef"><b>Definition:</b> <a href="../../de/dd8/a08565_source.html#l00016">expansionbasebuilding.c:17</a></div></div>
<div class="ttc" id="aa03773_html"><div class="ttname"><a href="../../dc/df3/a03773.html">Container_Base</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dd1/a00398_source.html#l00013">expansionsafebase.c:14</a></div></div>
<div class="ttc" id="aa03781_html"><div class="ttname"><a href="../../d4/d93/a03781.html">ExpansionWallBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d91/a00410_source.html#l00013">expansionwall.c:14</a></div></div>
<div class="ttc" id="aa03781_html_a3c728c5a39b6305a9237e7752b93b66b"><div class="ttname"><a href="../../d4/d93/a03781.html#a3c728c5a39b6305a9237e7752b93b66b">ExpansionWallBase::HasDoor</a></div><div class="ttdeci">bool HasDoor()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d91/a00410_source.html#l00147">expansionwall.c:147</a></div></div>
<div class="ttc" id="aa03781_html_afc853e2690c839d8e181be730da54b32"><div class="ttname"><a href="../../d4/d93/a03781.html#afc853e2690c839d8e181be730da54b32">ExpansionWallBase::HasGate</a></div><div class="ttdeci">bool HasGate()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d91/a00410_source.html#l00152">expansionwall.c:152</a></div></div>
<div class="ttc" id="aa03793_html"><div class="ttname"><a href="../../d3/d04/a03793.html">BaseBuildingBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d16/a08601_source.html#l00013">basebuildingbase.c:14</a></div></div>
<div class="ttc" id="aa03797_html"><div class="ttname"><a href="../../d2/d11/a03797.html">Fence</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d2f/a00425_source.html#l00015">fence.c:16</a></div></div>
<div class="ttc" id="aa03801_html"><div class="ttname"><a href="../../dc/d0c/a03801.html">CombinationLock</a></div><div class="ttdef"><b>Definition:</b> <a href="../../df/d70/a00431_source.html#l00013">combinationlock.c:14</a></div></div>
<div class="ttc" id="aa03825_html"><div class="ttname"><a href="../../da/dfc/a03825.html">TentBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dc4/a00443_source.html#l00015">tentbase.c:16</a></div></div>
<div class="ttc" id="aa03849_html"><div class="ttname"><a href="../../db/d1a/a03849.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d25/a08607_source.html#l00013">playerbase.c:14</a></div></div>
<div class="ttc" id="aa04713_html"><div class="ttname"><a href="../../da/d6d/a04713.html">ActionTarget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d20/a01160_source.html#l00016">actiontargets.c:17</a></div></div>
<div class="ttc" id="aa04713_html_a1c5162ed30e842ad5b561579a40e7507"><div class="ttname"><a href="../../da/d6d/a04713.html#a1c5162ed30e842ad5b561579a40e7507">ActionTarget::GetParentOrObject</a></div><div class="ttdeci">Object GetParentOrObject()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d20/a01160_source.html#l00021">actiontargets.c:21</a></div></div>
<div class="ttc" id="aa08424_html_a0a20d14d2f55a927a3b0eab0623f5cf9"><div class="ttname"><a href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a></div><div class="ttdeci">static ExpansionSettings GetExpansionSettings()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d94/a08424_source.html#l00254">expansionsettings.c:254</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_e66306a3976d6d81f5e1305840c1314d.html">BaseBuilding</a></li><li class="navelem"><a class="el" href="../../dir_92106a510097343a3fe1c14124c59151.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_844bf89108e22cf51aae4b5452c2c906.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_a0e24776517e17f620f1adfb86971bb4.html">dayzexpansion_basebuilding</a></li><li class="navelem"><a class="el" href="../../dir_7c54c617c523e91968b06f6c4d40561c.html">classes</a></li><li class="navelem"><a class="el" href="../../dir_c81cc1ad0bcb4f6919dc1b9d5f9d5d05.html">useractionscomponent</a></li><li class="navelem"><a class="el" href="../../dir_60d28b9c29e7916a419493eda4bdadab.html">actions</a></li><li class="navelem"><a class="el" href="../../dir_dea99779acbc8a5a409ad43fc49953ad.html">continuous</a></li><li class="navelem"><a class="el" href="../../de/db1/a00197.html">expansionactiondestroylock.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
